#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# Vec3Pool Class

Extends Pool
Defined in: `src/utils/Vec3Pool.js:6`

## Constructor

### `Vec3Pool`

()

Defined in `src/utils/Vec3Pool.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- constructObject
- defaults static
- get
- release

### Properties

- objects
- type

## Methods

### `constructObject`

() Vec3

Inherited from Pool but overwritten in `src/utils/Vec3Pool.js:17`

Construct a vector

#### Returns:

Vec3:

### `defaults`

(

- `options`
- `defaults`

)
Object static

Defined in `src/utils/Utils.js:5`

Extend an options object with default values.

#### Parameters:

- `options` Object

  The options object. May be falsy: in this case, a new object is created and returned.

- `defaults` Object

  An object containing default values.

#### Returns:

Object:

The modified options object.

### `get`

() Mixed

Inherited from Pool: `src/utils/Pool.js:34`

Get an object

#### Returns:

Mixed:

### `release`

(

- `obj`

)

Inherited from Pool: `src/utils/Pool.js:22`

Release an object after use

#### Parameters:

- `obj` Object

## Properties

### `objects`

Array

Inherited from Pool: `src/utils/Pool.js:9`

The pooled objects

### `type`

Mixed

Inherited from Pool: `src/utils/Pool.js:15`

Constructor of the objects